# Whois registry
**aka** _The registry_.

The registry contains:

  * AS numbers assignations
  * Subnet assignations
  * DNS root zone for `dn42.`

## Web interface

Nixnodes provides a nice web interface, that allows you to **add/edit records** easily.  It is available at https://io.nixnodes.net/?registry. To add records, you must first create a maintainer object.

A read-only interface is also available at http://ix.ucis.dn42/dn42/ ([public](http://ix.ucis.nl/dn42/) or 172.22.166.3). The used PHP scripts are available from UFO a.k.a. Ivo at request.

## Address space

There is nice 3djs visualisation showing current address space usage: http://dataviz.polynome.dn42/dn42-netblock-visu/registry.html [172.23.184.124].

The input data is taken from the registry. Another visualisation shows the prefixes seen by BGP: http://dataviz.polynome.dn42/dn42-netblock-visu/index.html [172.23.184.124].

## Whois daemons
 * welterde: thinkbase.srv.welterde.de (46.4.248.201)
 * fritz: whois.fritz.dn42 (172.22.119.139)
 * nixnodes: whois.nixnodes.dn42 (172.22.177.77)

### Usage
```sh
whois -h $host $query
```

### Running your own whoisd
```sh
cd /home/some/path/to/store/branch
sudo aptitude install ruby rubygems
sudo gem install netaddr
cd whoisd/ruby
sudo ruby whoisd.rb nobody
```


## Monotone
Monotone is an distributed revision control system. Monotone tracks revisions to files, groups sets of revisions into changesets, and tracks history across renames. The design principle is distributed operation making heavy use of cryptographic primitives to track file revisions (via the SHA-1 secure hash) and to authenticate user actions (via RSA cryptographic signatures). Each participant maintains their own revision history store in a local SQLite database. Monotone is especially strong in its support of a diverge/merge workflow, which it achieves in part by always allowing commit before merge. Revisions are exchanged using the custom netsync protocol which shares some conceptual ground with rsync and cvs.
 * [Website](http://monotone.ca/)
 * [Tutorial](http://monotone.ca/docs/Tutorial.html)

### Monotone servers
 * crest: mtn.crest.dn42
 * welterde: headend.srv.welterde.de(46.4.248.203)
 * somerandomnick: mtn1.srn.dn42(172.22.131.102)
 * dracoling: dn42.smrsh.net (net.smrsh.dn42)

### Monotone branches
 * net.dn42.registry: Contains the registry and some related code

### Setup
```sh
mtn genkey you@domain.tld
mtn pubkey you@domain.tld # send the output to some $monotone_server operator(do NOT send the keypair!)
mtn clone 'mtn://$monotone_server/?net.dn42.*' --branch net.dn42.registry
cd net.dn42.registry
$add_your_objects
mtn add --unknown
mtn ci -k you@domain.tld
mtn sync
```